Loading...
Searching...
No Matches
jni::TypedMethods< jobject * > Struct Reference

`#include <typed_methods.hpp>`

## Static Public Attributes

static constexpr auto | CallMethod = &JNIEnv::CallObjectMethod
static constexpr auto | CallNonvirtualMethod = &JNIEnv::CallNonvirtualObjectMethod
static constexpr auto | GetField = &JNIEnv::GetObjectField
static constexpr auto | SetField = &JNIEnv::SetObjectField
static constexpr auto | CallStaticMethod = &JNIEnv::CallStaticObjectMethod
static constexpr auto | GetStaticField = &JNIEnv::GetStaticObjectField
static constexpr auto | SetStaticField = &JNIEnv::SetStaticObjectField

## Member Data Documentation

## CallMethod

auto jni::TypedMethods< jobject * >::CallMethod = &JNIEnv::CallObjectMethod

static constexpr

## CallNonvirtualMethod

auto jni::TypedMethods< jobject * >::CallNonvirtualMethod = &JNIEnv::CallNonvirtualObjectMethod

static constexpr

## CallStaticMethod

auto jni::TypedMethods< jobject * >::CallStaticMethod = &JNIEnv::CallStaticObjectMethod

static constexpr

## GetField

auto jni::TypedMethods< jobject * >::GetField = &JNIEnv::GetObjectField

static constexpr

## GetStaticField

auto jni::TypedMethods< jobject * >::GetStaticField = &JNIEnv::GetStaticObjectField

static constexpr

## SetField

auto jni::TypedMethods< jobject * >::SetField = &JNIEnv::SetObjectField

static constexpr

## SetStaticField

auto jni::TypedMethods< jobject * >::SetStaticField = &JNIEnv::SetStaticObjectField

static constexpr

The documentation for this struct was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/jni/typed_methods.hpp